### Hierarchy

- ExtensionScriptApis

## Index

### Methods

- extensionIdToShortId
- fireExtensionApiTelemetry
- genericFunction
- genericSynchronousFunction
- genericWebRuntimeCallout
- getExtensionId
- registerGenericFunctionCallbackHandler
- registerGenericPersistentCallbackHandler
- registerWebRuntimeCallbackHandler

## Methods

### extensionIdToShortId

- extensionIdToShortId(extensionId: string): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5087

  #### Parameters

  - ##### extensionId: string

  #### Returns number

### fireExtensionApiTelemetry

- fireExtensionApiTelemetry(functionName: string, isSucceeded: boolean, isSupported: boolean, errorString: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5088

  #### Parameters

  - ##### functionName: string

  - ##### isSucceeded: boolean

  - ##### isSupported: boolean

  - ##### errorString: string

  #### Returns void

### genericFunction

- genericFunction(routerAddress: any, parameters?: undefined | string, callbackId?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5089

  #### Parameters

  - ##### routerAddress: any

  - ##### Optional parameters: undefined | string

  - ##### Optional callbackId: undefined | number

  #### Returns void

### genericSynchronousFunction

- genericSynchronousFunction(functionId: number, parameters?: undefined | string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5090

  #### Parameters

  - ##### functionId: number

  - ##### Optional parameters: undefined | string

  #### Returns string

### genericWebRuntimeCallout

- genericWebRuntimeCallout(to: any, from: any, payload: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5091

  #### Parameters

  - ##### to: any

  - ##### from: any

  - ##### payload: string

  #### Returns void

### getExtensionId

- getExtensionId(): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5092

  #### Returns string

### registerGenericFunctionCallbackHandler

- registerGenericFunctionCallbackHandler(callbackHandler: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5093

  #### Parameters

  - ##### callbackHandler: Function

  #### Returns void

### registerGenericPersistentCallbackHandler

- registerGenericPersistentCallbackHandler(callbackHandler: Function): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5094

  #### Parameters

  - ##### callbackHandler: Function

  #### Returns void

### registerWebRuntimeCallbackHandler

- registerWebRuntimeCallbackHandler(handler: Function): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5095

  #### Parameters

  - ##### handler: Function

  #### Returns any

Generated using TypeDoc